www.libssh2.org | Daily snapshots | Mailing list archive | Docs | Examples | github

Archive Index This month's Index

Subject: Re: some warnings when compiling for windows

Re: some warnings when compiling for windows

From: Vincent Torri <vincent.torri_at_gmail.com>
Date: Mon, 31 Oct 2011 13:16:24 +0100

On Mon, Oct 31, 2011 at 12:41 PM, Daniel Stenberg <daniel_at_haxx.se> wrote:

> On Mon, 31 Oct 2011, Vincent Torri wrote:
>
> warning: #warning Please include winsock2.h before windows.h [-Wcpp]
>>
>
> Is there an explanation to this somewhere? I know other libraries that
> don't do this as well but still seem to work fine on Windows so I'm a bit
> curious...

http://sourceforge.net/apps/trac/mingw-w64/wiki/winsock2.h%20include%20order

 /opt/efl/include/gcrypt.h:1590:35: warning: ‘gcry_*******’ is deprecated
> [-Wdeprecated-declarations]
>

Surely those can't be "blamed" on us?
>

aren't you using deprecated API ? (just a thought, didn't look at the code)

Vincent Torri

_______________________________________________
libssh2-devel http://cool.haxx.se/cgi-bin/mailman/listinfo/libssh2-devel
Received on 2011-10-31

the libssh2 team